#
# spec file for package gtk1-compat (Version 0.10)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libglade2 libglade2-devel libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++42 libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           gtk1-compat
BuildRequires:  gtk2-devel
# for check-pkgconfig-deps:
BuildRequires:  libglade2-devel libxml2-devel
Version:        0.10
Release:        3
Summary:        Compatibility Wrappers for Old Versions of GLib, GTK+, GDK-Pixbuf, and libglade
Group:          System/Libraries
License:        LGPL v2 or later
Source:         %{name}-%{version}.tar.bz2
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Wrapper headers, M4 macros, configuration scripts, and library
symlinks, which simulate the presence of GLib1, GTK+1, GDK-Pixbuf1, and
libglade1 development packages, but use GLib2, GTK+2, and libglade2.
Using it, you can force to link some older applications with new
libraries without any effort.

The package also provides the gtk1-compat-autofix script, which does
some source code modifications that cannot be worked around any other
way, and a static library with some obsolete functions.



Authors:
--------
    Stanislav Brabec <sbrabec@suse.cz>

%debug_package
%package devel
Summary:        Compatibility Wrappers for Old Versions of GLib, GTK+, GDK-Pixbuf and libglade
Group:          System/Libraries
Requires:       pkgconfig python glib2-devel gtk2-devel libxml2-devel libglade2-devel
Conflicts:      glib-devel gtk-devel gdk-pixbuf-devel libxml-devel libglade-devel

%description devel
Wrapper headers, M4 macros, config scripts and library symlinks, which
simulate presence of GLib1, GTK+1, GDK-Pixbuf1, libglade1 development
packages, but tries to use GLib2, GTK+2 and libglade2.

Using it, you can force linking of some old applications with new
libraries without any effort.

Package also provides gtk1-compat-autofix script, which does some
source code modifications, which cannot be worked around by any other
way, and a static library with some obsolete functions.



Authors:
--------
    Stanislav Brabec <sbrabec@suse.cz>

%prep
%setup

%build
autoreconf -f -i
%configure
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/aclocal/*.m4
%{_includedir}/gtk1-compat
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%changelog
* Tue Jan 23 2007 - aj@suse.de
- Remove gnome-filesystem from BuildRequires.
* Fri Dec 29 2006 - sbrabec@suse.cz
- Prefix changed to /usr.
- Updated to version 0.10:
  * Fixed aclocal directory search.
* Thu Jul 27 2006 - sbrabec@suse.cz
- Updated to version 0.9:
  * Fixed invalid use of $PKG_CONFIG (#190286).
* Tue Jun 13 2006 - sbrabec@suse.cz
- Created an automake based tarball, version 0.8:
  * Support for Gdk*Private structures.
* Thu Jun 08 2006 - sbrabec@suse.cz
- Added GTK1_COMPAT_DISABLE_C_SUPPORT to disable C wrappers.
* Thu Jun 08 2006 - sbrabec@suse.cz
- Added support for more *-config arguments.
- Enabled support for all deprecated gtk2 functions.
- Added support for libxml and libglade.
- Force GTK2 objects in M4 files.
- Added some wrapper header files.
- Created a static library with removed or not exported functions.
- Added gtk1-compat-autofix.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - sbrabec@suse.cz
- Added support for gdk-pixbuf.
* Mon Sep 26 2005 - sbrabec@suse.cz
- Provide gtk.m4 and glib.m4 (copy from gtk and glib).
- Better emulate --version.
* Mon Jun 20 2005 - sbrabec@suse.cz
- Note the LGPL license (#91461).
* Tue Apr 12 2005 - sbrabec@suse.cz
- Added support for --version.
* Fri Feb 04 2005 - sbrabec@suse.cz
- New SuSE package.
